### Method

# ECal Client get_component_as_string

since: 3.2

#### Declaration [src]

    gchar*
    e_cal_client_get_component_as_string (
      ECalClient* client,
      ICalComponent* icalcomp
    )

#### Description [src]

Gets a calendar component as an iCalendar string, with a toplevel VCALENDAR component and all VTIMEZONEs needed for the component.

Available since: 3.2

#### Parameters

`icalcomp`

  Type: `None`

  A calendar component object.

  The data is owned by the caller of the method.

#### Return value

Type: `gchar*`

The component as a complete iCalendar string, or NULL on failure. The string should be freed with g_free().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.